# Class CIM_PackageDependency
extends CIM_Dependency

A LogicalDevice is installed in a Package such as a Chassis or a Rack, not for a specific Device, but to function with the Package in general. This relationship is described by the PackageDependency association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PackageDependency

## Direct Known Subclasses

CIM_PackageAlarm
CIM_PackageCooling
CIM_PackageTempSensor

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A LogicalDevice is installed in a Package such as a Chassis or a Rack, not for a specific Device, but to function with the Package in general. This relationship is described by the PackageDependency association.
UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PackageDependency | CIM_LogicalDevice
Dependent | CIM_PackageDependency | CIM_PhysicalPackage

## Class Methods